export const useEmail = defineStore('email', {
  state: (): {
    sendStatus: number
    sendTime: string
    userMessageBoxAddMessage: anyObj
  } => ({
    sendStatus: 1,
    sendTime: '',
    userMessageBoxAddMessage: {},
  }),
  actions: {
    setData(val: any) {
      this.sendStatus = val.sendStatus
      this.sendTime = val.sendTime
      this.userMessageBoxAddMessage = val.userMessageBoxAddMessage
    },
    clearData() {
      this.sendStatus = 1
      this.sendTime = ''
      this.userMessageBoxAddMessage = {}
    },
  },
})
